-- hand craft engine
if data.raw["recipe"]["engine-unit"] then
	data.raw["recipe"]["engine-unit"].category = "crafting"
	data.raw["recipe"]["engine-unit"].energy_required = 4
end

data:extend({
	{
		type = "recipe",
		name = "unit-remote-control",
		category = "crafting",
		enabled = true,
		energy_required = 2,
		ingredients =
		{
		  {type="item", name="electronic-circuit", amount=5}
		},
		results=
		{
		  {type="item", name="unit-remote-control", amount=1},
		},
	},
	{
		type = "recipe",
		name = "unit-scan",
		category = "crafting",
		enabled = data.raw["technology"]["circuit-network"] == nil,
		energy_required = 2,
		ingredients =
		{
		  {"electronic-circuit", 10},
		  {"stone-brick", 10}
		},
		results=
		{
		  {type="item", name="unit-scan", amount=1},
		},
	},
	{
		type = "recipe",
		name = "unit-control",
		category = "crafting",
		enabled = data.raw["technology"]["circuit-network"] == nil,
		energy_required = 2,
		ingredients =
		{
		  {"electronic-circuit", 10},
		  {"stone-brick", 10}
		},
		results=
		{
		  {type="item", name="unit-control", amount=1},
		},
	},
	{
		type = "recipe",
		name = "unitdata-scan",
		category = "crafting",
		enabled = data.raw["technology"]["circuit-network"] == nil,
		energy_required = 2,
		ingredients =
		{
		  {"electronic-circuit", 10},
		  {"stone-brick", 10}
		},
		results=
		{
		  {type="item", name="unitdata-scan", amount=1},
		},
	},
	{
		type = "recipe",
		name = "unitdata-control",
		category = "crafting",
		enabled = data.raw["technology"]["circuit-network"] == nil,
		energy_required = 2,
		ingredients =
		{
		  {"electronic-circuit", 10},
		  {"stone-brick", 10}
		},
		results=
		{
		  {type="item", name="unitdata-control", amount=1},
		},
	},
	{
		type = "recipe",
		name = "vehicle-deployer",
		enabled = true,
		energy_required = 10,
		ingredients =
		{
		  {"electronic-circuit", 10},
		  {"iron-plate", 10},
		  {"stone-brick", 10}
		},
		result = "vehicle-deployer"
	},
	{
		type = "recipe",
		name = "vehicle-depot",
		enabled = true,
		energy_required = 10,
		ingredients =
		{
		  {"iron-chest", 8},
		  {"electronic-circuit", 10},
		  {"iron-plate", 20},
		  {"stone-brick", 20}
		},
		result = "vehicle-depot"
	},
})